%define         aud_ver 1.5.0

Name:           audacious
Version:        1.5.1
Release:        7%{?dist}
Summary:        A GTK2 based media player similar to xmms

Group:          Applications/Multimedia
License:        GPLv2
URL:            http://audacious-media-player.org/

Source0:        http://distfiles.atheme.org/audacious-%{version}.tgz
Patch0:         audacious-1.5.1-xmms-skins.patch
Patch1:         audacious-1.5.1-default-skin.patch
# Patch2:         audacious-1.1.0-no-rpath.patch
Patch3:         audacious-1.2.1-relative-links.patch
# Patch4:         audacious-1.1.0-quoting.patch
# Patch5:         audacious-1.1.0-amidi-backend.patch
Patch6:         audacious-1.2.1-shaded-skin.patch
# Patch7:         audacious-1.1.1-controlsocket-name.patch
# Patch8:         audacious-1.1.1-playlist-twenty.patch
Patch9:         audacious-1.4.2-id3tag-close-file.patch
Patch10:        audacious-1.5.1-libsad-header.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel >= 2.6
BuildRequires:  zlib-devel, desktop-file-utils >= 0.9
BuildRequires:  libglade2-devel >= 2.4
BuildRequires:  GConf2-devel
BuildRequires:  gettext
BuildRequires:  mcs-devel >= 0.7
BuildRequires:  libmowgli-devel >= 0.4
BuildRequires:  dbus-devel >= 0.60, dbus-glib-devel >= 0.60

Requires:       audacious-plugins >= %{aud_ver}

Requires(post):   desktop-file-utils >= 0.9
Requires(postun): desktop-file-utils >= 0.9

Obsoletes:      bmp <= 0.9.7.1
Provides:       bmp = 0.9.7.1

Provides:       audacious-docklet
Obsoletes:      audacious-docklet < 0.1.1-3

# Skin packages can require this from xmms and all GUI compatible players
Provides:       xmms-gui

%description
Audacious is a media player that currently uses a skinned
user interface based on Winamp 2.x skins. It is based on ("forked off")
BMP.


%package        libs
Summary:        Library files for Audacious
Group:          System Environment/Libraries

Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description    libs
Library files for Audacious


%package        devel
Summary:        Development files for Audacious
Group:          Development/Libraries
Requires:       %{name}-libs = %{version}-%{release}
Requires:       glib2-devel, gtk2-devel >= 2.6, GConf2-devel, libglade2-devel >= 2.4
Requires:       mcs-devel >= 0.1
Requires:       libmowgli-devel >= 0.4
Requires:       pkgconfig
Requires:       dbus-glib-devel >= 0.60

Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig

Obsoletes:      bmp-devel <= 0.9.7.1
Provides:       bmp-devel = 0.9.7.1

%description    devel
Development files for Audacious


%prep
%setup -q

# Read xmms skins directory
%patch0 -p1 -b .xmms-skins

# Use bluecurve as default skin
%patch1 -p1 -b .default-skin

# No rpath in binaries
# %patch2 -p1 -b .no-rpath

# Relative symlink paths
# %patch3 -p1 -b .relative-links

# Filename quoting
# %patch4 -p1 -b .quoting

# Amidi backends path
# %patch5 -p1 -b .amidi-backend

# Shaded playlist window decorations
# %patch6 -p1 -b .shaded-skin

# Controlsocket named "xmms" instead of "audacious"
# %patch7 -p1 -b controlsocket-name

# Fix "%20" in playlist entries
# %patch8 -p1 -b playlist-twenty

# Fix files left open on non-seekable mp3 streams
# %patch9 -p1 -b id3tag-close-file

# Remove libSAD references from the public headers
%patch10 -p1 -b libsad-header

perl -pi -e 's/^\.SILENT:.*$//' buildsys.mk.in

%build
%configure \
    --disable-rpath \
    --enable-gconf \
    --disable-gnome-vfs \
    --enable-chardet \
    --enable-dbus \
    --disable-sse2 \
    --disable-dependency-tracking
make V=1 %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

desktop-file-install --vendor fedora \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
    --delete-original \
    --remove-mime-type audio/x-scpls \
    --remove-mime-type audio/x-mpegurl \
    --remove-mime-type audio/mpegurl \
    --remove-mime-type audio/mp3 \
    --remove-mime-type audio/x-mp3 \
    --remove-mime-type audio/mpeg \
    --remove-mime-type audio/x-mpeg \
    --remove-mime-type audio/x-wav \
    --remove-mime-type application/x-ogg \
    --remove-category Application \
    $RPM_BUILD_ROOT%{_datadir}/applications/audacious.desktop

install -m 755 -d $RPM_BUILD_ROOT%{_libdir}/audacious
install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
mv $RPM_BUILD_ROOT%{_datadir}/pixmaps/audacious.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
rm -rf $RPM_BUILD_ROOT%{_includedir}/libSAD

%clean
rm -rf $RPM_BUILD_ROOT


%post
update-desktop-database %{_datadir}/applications
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
update-desktop-database %{_datadir}/applications
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
    %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/audacious
%{_bindir}/audtool
%{_datadir}/audacious
%{_mandir}/man[^3]/*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/48x48/apps/*

%files libs
%defattr(-,root,root,-)
%{_libdir}/audacious
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/audacious
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Sun Apr 12 2009 Matthias Saou <http://freshrpms.net/> 1.5.1-7
- Add "xmms-gui" provides, to be required from xmms-skins package (#470135).

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Nov 17 2008 Ralf Ertzinger <ralf@skytale.net> 1.5.1-5
- Disable SSE2

* Mon Oct 13 2008 Ralf Ertzinger <ralf@skytale.net> 1.5.1-4
- Remove lingering references to libSAD from the installed
  headers

* Sat Sep 06 2008 Ralf Ertzinger <ralf@skytale.net> 1.5.1-3
- Remove libSAD headers from devel package, they were not meant
  to be public

* Fri Jun 27 2008 Ralf Ertzinger <ralf@skytale.net> 1.5.1-2
- Add Requires: dbus-glib-devel to audacious-devel

* Sat Jun 07 2008 Ralf Ertzinger <ralf@skytale.net> 1.5.1-1
- Update to 1.5.1

* Mon Apr 07 2008 Ralf Ertzinger <ralf@skytale.net> 1.5.0-1
- Update to 1.5.0

* Mon Feb 11 2008 Ralf Ertzinger <ralf@skytale.net> 1.4.6-1
- Update to 1.4.6

* Sat Dec 29 2007 Ralf Ertzinger <ralf@skytale.net> 1.4.5-1
- Update to 1.4.5

* Mon Dec 03 2007 Ralf Ertzinger <ralf@skytale.net> 1.4.4-1
- Update to 1.4.4

* Sat Dec 01 2007 Ralf Ertzinger <ralf@skytale.net> 1.4.2-3
- Add patch to fix streams sometimes being left open
- Obsolete: audacious-docklet

* Thu Nov 19 2007 Ralf Ertzinger <ralf@skytale.net> 1.4.2-2
- Update to 1.4.2

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 1.3.2-3
- Rebuild for selinux ppc32 issue.

* Sat Aug 25 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.2-2
- Clarify License: tag

* Sat Apr 07 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.2-1.fc7
- Update to 1.3.2

* Mon Apr 02 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.1-2.fc7
- Add missing Requires: to -devel package

* Mon Apr 02 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.1-1.fc7
- Update to 1.3.1
- Rebase still necessary patches

* Sun Dec 24 2006 Ralf Ertzinger <ralf@skytale.net> 1.2.2-2.fc7
- Remove audacious-1.1.1-controlsocket-name.patch due to request
  from upstream, xmms and audacious are not entirely compatible

* Sun Nov 30 2006 Ralf Ertzinger <ralf@skytale.net> 1.2.2-1.fc7
- Update to 1.2.2

* Sun Nov 26 2006 Ralf Ertzinger <ralf@skytale.net> 1.2.1-1.fc7
- Update to 1.2.1
- Split off libaudacious into a separate package to handle the
  (now externally provided and built) plugins better

* Wed Oct 18 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.2-2.fc6
- Add Obsoletes/Provides for BMP

* Wed Sep 06 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.2-1.fc6
- Update to 1.1.2

* Thu Aug 17 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.1-6.fc6
- Another go at the %%20 problem

* Mon Aug 14 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.1-4.fc6
- Fix %%20 in playlist entries

* Sun Jul 30 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.1-3.fc6
- Bump for rebuild

* Sun Jul 30 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.1-2.fc6
- Change the name of the control socket to "xmms" instead of
  audacious. This makes programs that remote control xmms
  (and compatibles) work.

* Sun Jul 30 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.1-1.fc6
- Update to 1.1.1
- Drop amidi path patch
- Add shaded playlist skin patch (seems like audacious needs it,
  too)

* Fri Jul 21 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.0-1.fc6
- Update to 1.1.0 final
- Rediff some patches

* Sun Jul 9 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.0-0.2.dr2.fc6
- Fix quoting of filenames

* Thu Jun 29 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.0-0.1.dr2.fc6
- Fixed version for Extras review
  - Build OSS, arts and jack output plugins
  - Split esd, arts and jack into separate packages
  - Fix rpath issue
  - Fix absolute symlinks

* Sat Jun 24 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.0-0.0.dr2.fc6
- Initial build for Fedora Extras
